#
# spec file for package itrace 
#

%define alphatag 20090304cvs_alpha
Name:		stapitrace
Summary:	Instruction Tracing Tool
Version:	2.0.0
Release:	0.%{alphatag}%{?dist}.1
License:	GPLv2+
Group:		Development/Tools
URL:		http://sourceforge.net/projects/perfinsp
Source0:	%{name}-%{version}.%{alphatag}.tar.gz
Patch0:         itrace-f11-fixes-private.patch
Patch1:         itrace-f11-fixes_for-upstream.patch
Patch2:         stapitrace-insn-update.patch
Patch3:         itrace-bfd-config.patch
Patch4:         stapitrace-build-fixes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	systemtap systemtap-runtime binutils binutils-devel
BuildRequires:	binutils binutils-devel autoconf automake zlib-devel
ExclusiveArch:	ppc ppc64

%description
stapitrace is a software tracing mechanism that runs on Linux. ITrace traces
through user application code using the SystemTap user instruction tracing
support and can produce human-readable ASCII output or qtrace output suitable
for analysis by packages, such as the IBM Performance Simulator for Linux
on POWER (simppc).

It is based on and shares code from PerformanceInspector's ITrace tool.

%define systap %{_datadir}/systemtap
%define tap %{systap}/tapset
%define tap64 %{tap}/ppc64
%define post src/post
%define a2n src/a2n
%define stap src/stap

%prep
%setup -q -n Dpiperf
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -i --force
export CFLAGS="%{__global_cflags} -mminimal-toc"	
export CXXFLAGS="%{__global_cflags} -mminimal-toc"

%ifarch ppc
%configure --enable-build_stap=yes --enable-lib32on64
%else
%configure --enable-build_stap=yes
%endif

%{__make} DESTDIR=""

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT/usr/lib
%{__mkdir_p} $RPM_BUILD_ROOT/%{_mandir}/man1
%{__mkdir_p} $RPM_BUILD_ROOT/%{systap}
%{__mkdir_p} $RPM_BUILD_ROOT/%{systap}/runtime
%{__mkdir_p} $RPM_BUILD_ROOT/%{tap}
%{__mkdir_p} $RPM_BUILD_ROOT/%{tap64}
%{__install} -m 755 %{post}/post $RPM_BUILD_ROOT/%{_bindir}/post
cd src/stap 
%{__install} -m 644 itrace.1 $RPM_BUILD_ROOT/%{_mandir}/man1/itrace.1
%{__install} -m 644 post.1 $RPM_BUILD_ROOT/%{_mandir}/man1/post.1
%{__install} -m 755 itrace $RPM_BUILD_ROOT/%{_bindir}/itrace
%{__install} -m 644 pi_itrace.stp $RPM_BUILD_ROOT/%{tap}/pi_itrace.stp
%{__install} -m 644 ppc_pi_itrace.stp $RPM_BUILD_ROOT/%{tap64}/ppc_pi_itrace.stp


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{tap}/pi_itrace.stp
%{tap64}/ppc_pi_itrace.stp
%{_mandir}/man1/itrace.1.gz
%{_mandir}/man1/post.1.gz
%{_bindir}/post
%{_bindir}/itrace

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.20090304cvs_alpha.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 08 2009 Maynard Johnson <maynardj@us.ibm.com>
- Fix build problems; rebase on earlier Performance Inspector
  CVS snapshot to align with RHEL upstream code deadline

* Wed Mar 11 2009 Maynard Johnson <maynardj@us.ibm.com>
- Change to using Systemtap's built-in itrace probe point

* Wed Oct 15 2008 Dave Nomura <dcnltc@us.ibm.com>
- upgrade to utrace2

* Fri Sep 12 2008 Josh Boyer <jwboyer@gmail.com>
- Fix bfd configure test as binutils now requires zlib for compressed
  sections

* Tue May 27 2008 Dave Nomura <dcnltc@us.ibm.com>
- removed liba2n.so dependency and changed to all apps to 32-bit

* Mon Apr 07 2008 Dave Nomura <dcnltc@us.ibm.com>
- new package
